Subject: Re: [PATCH net-next 0/7] cxgb4 patches V2

From: Dimitris Michailidis <[email-masked]>
Date: Tue, 23 Feb 2010 11:07:29 -0800

David Miller wrote:
> From: Dimitris Michailidis <[email-masked]>
> Date: Thu, 18 Feb 2010 13:24:09 -0800
> 
>> This is V2 of the cxgb4 patches.
>>
>> Changes since V1:
>> - Whitespace fixed as well as some additional checkpatch issues.
>> - I removed the CH_* logging wrappers.  I used the new netdev_* in a handful of
>>   places but mostly stayed with the dev_* functions.
>> - I added some comments to describe the register macro scheme.  As a macro
>>   change would involve a rather large number of LOCs I'd really like to avoid
>>   changing them.
> 
> I also told you to not use the non-standard S_*, V_*, etc. register
> naming convention.
> 
> If you repost your driver without addressing all of the review
> feedback you've received thus far, you are wasting people's time
> because they will take time out to review your patches again
> only to find that you've haven't fixed everything you've already
> been made aware of.
> 

Can you please clarify what exactly you want me to change about the macros? 
  I looked at a few other drivers in the tree and I saw shift macros with 
_SHIFT or _SH suffixes, masks tend to have _MASK or _MSK suffixes, etc.  Are 
you asking me basically to change our S_, V_, etc prefixes to _SHIFT, etc 
suffixes or are we talking about some other kind of change?  Please bear 
with me, I am trying to understand what you're asking for exactly.